#!/bin/sh
# Written by BUYUKBANG @ 11.2011

EPGDAT_BB=`ls -tr /hdd/epg.dat.bb /media/hdd/epg.dat.bb /media/usb/epg.dat.bb /media/cf/epg.dat.bb 2>/dev/null | tail -n1`

if [ "$EPGDAT_BB" != "" ]; then
	# Check crash logs for epg.dat loading errors since some images breaks this functionality.
	LAST_CRASH_LOG=`ls -tr /hdd/enigma2_crash* /media/hdd/enigma2_crash* /media/usb/enigma2_crash* /media/cf/enigma2_crash* 2>/dev/null | tail -n1`
	[ "$LAST_CRASH_LOG" != "" ] && LAST_CRASH_LOG=`find $LAST_CRASH_LOG -mmin -2 -type f`
	if [ "$LAST_CRASH_LOG" != "" ] && grep -q "FATAL: LINE " $LAST_CRASH_LOG ; then
		# epg.dat loader exception found, delete EPG files to prevent dead loops.
		rm $EPGDAT $EPGDAT_BB >/dev/null 2>&1
	else
		# Move EPG file generated by Copy EPG process and overwrite the one generated by enima2.
		FOLDER=${EPGDAT_BB%/*}
		EPGDAT=$FOLDER"/epg.dat"
		mv -f $EPGDAT_BB $EPGDAT >/dev/null 2>&1
	fi
fi
